%define runuser toruser

Name:		tor
Version:	0.4.8.8
Release:	%mkrel 1
Summary:	Anonymizing overlay network for TCP (The onion router)
Summary(de):	Anonymisierung durch das Überdecken des Netzwerks für TCP (The onion router)
URL:		http://www.torproject.org/
Group:		Networking/Other
License:	BSD-like
Requires(pre):	rpm-helper
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper
Requires:	openssl >= 0.9.8
Requires:	tsocks
#------------------------------------
BuildRequires: openssl-devel >= 0.9.8 
BuildRequires: %{_lib}event-devel
BuildRequires:	zlib-devel
BuildRequires:	autoconf2.5
BuildRequires:	transfig
#BuildRequires:	texlive
BuildRequires:	ghostscript
#------------------------------------
Source0:	http://www.torproject.org/dist/%{name}-%{version}.tar.xz
Source1:	%{name}.logrotate
Source2:	%{name}.init
Source3: 	%{name}.sysconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tor is a connection-based low-latency anonymous communication system.

This package provides the "tor" program, which serves as both a client and
a relay node. Scripts will automatically create a "%{runuser}" user and
group, and set tor up to run as a daemon when the system is rebooted.

Applications connect to the local Tor proxy using the SOCKS
protocol. The local proxy chooses a path through a set of relays, in
which each relay knows its predecessor and successor, but no
others. Traffic flowing down the circuit is unwrapped by a symmetric
key at each relay, which reveals the downstream relay.

Warnings: Tor does no protocol cleaning.  That means there is a danger
that application protocols and associated programs can be induced to
reveal information about the initiator. Tor depends on Privoxy and
similar protocol cleaners to solve this problem. This is alpha code,
and is even more likely than released code to have anonymity-spoiling
bugs. The present network is very small -- this further reduces the
strength of the anonymity provided. Tor is not presently suitable
for high-stakes anonymity.

%description -l de
Tor ist ein verbindungsbasiertes, anonymes Kommunikationssystem mit niedriger Latenz.

Dieses Paket liefert das "tor"-Programm, welches zugleich als Klient und
Übermittlungsknoten dient. Skripte werden automatisch einen "%{runuser}" Benutzer
und Gruppe erstellen und tor so einstellen, dass es als Systemdienst ausgeführt
wird, wenn das System gestartet wird.

Warnungen: Tor betreibt keine Protokollbereinigung. Das bedeutet, dass
die Gefahr besteht, dass Programmprotokolle und damit assoziierte Programme
dazu gebracht werden Informationen über den Urheber zu offenbaren.
Tor basiert auf Privoxy und anderen Protokollreinigern um dieses Problem zu
lösen.

%prep
%setup -qn %{name}-%{version} 
 
%build
%configure2_5x
%make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%makeinstall

%define _logdir %{_var}/log

mkdir -p ${RPM_BUILD_ROOT}%{_initrddir}
cat %{SOURCE2} > ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_initrddir}/%{name}

install -p -m 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/torrc.sample ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/torrc

mkdir -p -m 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
cat %{SOURCE1} > ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}

mkdir -p -m 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/
cat %{SOURCE3} > ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}

mkdir -p -m 700 ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}
mkdir -p -m 755 ${RPM_BUILD_ROOT}%{_var}/run/%{name}
mkdir -p -m 755 ${RPM_BUILD_ROOT}%{_logdir}/%{name}

# Bash completion
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/bash_completion.d
echo 'complete -F _command $filenames torify' > ${RPM_BUILD_ROOT}%{_sysconfdir}/bash_completion.d/%{name}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%pre
%_pre_useradd %{runuser} / /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}
rm -f %{_localstatedir}/%{name}/cached-directory
rm -f %{_localstatedir}/%{name}/bw_accounting
rm -f %{_localstatedir}/%{name}/control_auth_cookie
rm -f %{_localstatedir}/%{name}/router.desc
rm -f %{_localstatedir}/%{name}/fingerprint

%postun
%_postun_userdel %{runuser}
%_postun_groupdel %{runuser}

%files
%defattr(-,root,root)
%doc
%{_mandir}/man*/*
%{_bindir}/tor
%{_bindir}/torify
%{_bindir}/tor-resolve
%{_bindir}/tor-gencert
%{_bindir}/tor-print-ed-signing-cert

%config(noreplace) %attr(0755,%{runuser},%{runuser}) %{_initrddir}/%{name}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/logrotate.d/%{name}
%dir %attr(0755,root,%{runuser}) %{_sysconfdir}/%{name}/
%config(noreplace) %attr(0644,root,%{runuser}) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0700,%{runuser},%{runuser}) %dir %{_localstatedir}/lib/%{name}
%attr(0750,%{runuser},%{runuser}) %dir %{_var}/run/%{name}
%attr(0750,%{runuser},%{runuser}) %dir %{_logdir}/%{name}
%{_sysconfdir}/bash_completion.d/%{name}
%{_datadir}/%{name}
%{_datadir}/doc


%changelog
* Tue Nov 07 2023 tex - 0.4.8.8-1pclos2023
- new version

* Mon Sep 25 2023 tex - 0.4.8.7-1pclos2023
- new version

* Mon Sep 18 2023 tex - 0.4.8.6-1pclos2023
- new version

* Thu Aug 31 2023 tex - 0.4.8.5-1pclos2023
- new version

* Thu Aug 24 2023 tex - 0.4.8.4-1pclos2023
- new version

* Mon Aug 21 2023 tex - 0.4.7.14-1pclos2023
- new version

* Fri Jan 13 2023 tex - 0.4.7.13-1pclos2023
- new version

* Tue Dec 06 2022 tex - 0.4.7.12-1pclos2022
- new version

* Thu Nov 10 2022 tex - 0.4.7.11-1pclos2022
- new version

* Fri Aug 12 2022 tex - 0.4.7.10-1pclos2022
- new version

* Fri Aug 12 2022 tex - 4.7.10-1pclos2022
- new version

* Sun May 01 2022 tex - 0.4.7.7-1pclos2022
- new version

* Thu Feb 10 2022 tex - 0.4.6.10-1pclos2022
- new version

* Fri Dec 24 2021 tex - 0.4.6.9-1pclos2022
- new version

* Thu Oct 28 2021 tex - 0.4.6.8-1pclos2021
- new version

* Tue Aug 17 2021 tex - 0.4.6.7-1pclos2021
- new version

* Wed Jun 30 2021 tex - 0.4.6.6-1pclos2021
- new version

* Mon Jun 14 2021 tex - 0.4.6.5-1pclos2021
- new version
